Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 544 - XFree86*3.3.3: *.alias should be %config's
Summary: XFree86*3.3.3: *.alias should be %config's
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86
Version: 5.2
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1998-12-20 22:00 UTC by Aleksey Nogin
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-01-11 19:03:24 UTC


Attachments (Terms of Use)

Description Aleksey Nogin 1998-12-20 22:00:34 UTC
I believe that *.alias files (which include
/usr/X11R6/lib/X11/locale/locale.alias and
/usr/X11R6/lib/X11/fonts/*/fonts.alias ) should be %config
files so that when people add their own aliases, they would
survive the upgrade.

I am not sure if *.dir files should be %config files, but it
may also be reasonable - so that people could add extra
fonts/extra locales/etc and still survive an upgrade.

Comment 1 David Lawrence 1998-12-21 18:18:59 UTC
This has been assigned to a develope for further review.

Comment 2 Preston Brown 1999-01-11 19:03:59 UTC
While I agree with the motivations behind this, issues in RPM
packaging make it QUITE DIFFICULT to do "right".  Chances are we won't
see this happen in any errata releases for 5.x, but 6.0 should fix the
problem, as well as rebuild the fonts.dir file on the fly whenever a
new font RPM is installed which adds/removes fonts from an existing
font directory.


Note You need to log in before you can comment on or make changes to this bug.